@cayrus
учусь верстке

Конфликт скриптов jquery,как исправить?

Всем привет ребят!!!
Знакомый попросил переделать попап окна,имеется блок,в нем описание товара(спойлер),подключена через CDN библиотека https://code.jquery.com/jquery-3.2.1.min.js и хочу повесить на кнопку свое окно,НО в моем окне тоже присутствует библиотека jquery только версия 1.11.2,суть вопроса такова :
мое окно работает,НО не работает отправка и описание по клику,удлаяю 3.2.1 библиотеку,попап и форма работает,НО описние нет,удаляю свою библиотеку,описание работает,окно не открывается,может кто подскажет в чем дело?
Заранее благодарен за ответ и любую помощь!!!
  • Вопрос задан
  • 254 просмотра
Решения вопроса 1
DeLaVega
@DeLaVega
Верстаю, фронтэндю =)
Если вы поднимаете версию и падает только переключалка дропдауна, то это фиксится как нефиг делать.

<div class="wrapper">
    <button class="js-btn">Button</button>
    <div class="js-content">Content</div>
</div>


$('.js-btn').click(() => {
    $('.js-content').toggle();
});
Ответ написан
Пригласить эксперта
Ответы на вопрос 2
@Vasili78
Оставить более свежую версию. Адаптировать древний скрипт для работы со свежей версией. Две версии на сайте будут не к месту.
Ответ написан
lamer350
@lamer350
wp x (nginx + php7 + opcache) = love
Зачем вам 2 версии jquery на сайте?
Если что то не работает, в первую очередь проверяйте последовательность подключаемых скриптов, а далее ищите ошибку в консоли. Скорее всего где то возникает ошибка и это блокирует последующее выполнение скрипта.
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы
Complex Cloud Solutions Москва
от 90 000 до 120 000 руб.
EducaGroup Санкт-Петербург
от 90 000 руб.
21 апр. 2019, в 19:08
75000 руб./за проект
21 апр. 2019, в 18:14
500 руб./за проект
21 апр. 2019, в 15:25
50000 руб./за проект